#pragma once

class AbstractSimulationResultDTO;

class AbstractUIObserver
{
public:
	virtual void updateStep() = 0;
	virtual void updateSimulation() = 0;
	virtual void updateMultipleSimulations() = 0;
	virtual void setSimulationResultDTO(AbstractSimulationResultDTO* simulationResult) = 0;
};